# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.ObjectCreateMessageParent
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.ObjectCreateMessageParent
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.ObjectCreateMessageParent

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

c

net.psforever.packet.game.objectcreate

# ObjectCreateMessageParent

###

#### final case class ObjectCreateMessageParent(guid: PlanetSideGUID, slot: Int) extends Product with Serializable

The parent information of a created object.
In normal packet data order, there are two ways the parent object can be assigned. The first is an implicit association between a parent object and a child object that are both created at the same time. A player character object, for example, is initialized in the same breath as the objects in his inventory are initialized. A weapon object is constructed with an ammunition object already included within itself. The second is an explicit association between the child and the parent where the parent exists before the child is created. When a new inventory object is produced, it is usually assigned to some other existing object's inventory. That is the relationship to the role of "parent" that this object defines. As such, only its current unique identifier needs to be provided. If the parent can not be found, the child object is not created.
A third form of parent object to child object association involves the impromptu assignment of an existing child to an existing parent. Since no objects are being created, that is unrelated to `ObjectCreateMessage`. Refer to `ObjectAttachMessage`, `MountVehicleMsg`, and `MountVehicleCargoMsg`.
When associated, the child object is "attached" to the parent object at a specific location called a "slot." "Slots" are internal to the object and are (typically) invisible to the player. Any game object can possess any number of "slots" that serve specific purposes. Player objects have equipment holsters and grid inventory capacity. Weapon objects have magazine feed positions. Vehicle objects have seating for players and trunk inventory capacity.

guid

  the GUID of the parent object

slot

  a parent-defined slot identifier that explains where the child is to be attached to the parent; encoded as the length field of a Pascal string

Source
  ObjectCreateBase.scala

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ObjectCreateMessageParent
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ObjectCreateMessageParent(guid: PlanetSideGUID, slot: Int)

   guid

     the GUID of the parent object

   slot

     a parent-defined slot identifier that explains where the child is to be attached to the parent; encoded as the length field of a Pascal string

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
8.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
9.  val guid: PlanetSideGUID
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  def productElementNames: Iterator[String]
    Definition Classes
      Product
15.  val slot: Int
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped